Bug 45145 - Inti SRPM needs build dependency on pango-gtkbeta-devel
Summary: Inti SRPM needs build dependency on pango-gtkbeta-devel
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Inti   
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-06-20 14:25 UTC by Jay Turner
Modified: 2015-01-07 23:46 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-06-21 12:54:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-06-20 14:25:17 UTC
Description of Problem: with the 7.1 product, you cannot build the Inti
SRPM without having pango-gtkbeta-devel installed.   But, if "rpm -ba
/usr/src/redhat/SPECS/Inti*spec" is executed, you do NOT get an error from
rpm about missing/unsatisfied build dependencies.  If you install the
pango-gtkbeta-devel rpm, the Inti SRPM builds without problems.

How Reproducible: Always

Steps to Reproduce:
   1. rpm -e pango-gtkbeta-devel
   2. rpm -Uvh <tree-path>/SRPMS/Inti*.src.rpm
   3. rpm -ba /usr/src/redhat/SPECS/Inti*spec
   4. rpm -Uvh <tree-path>/RedHat/RPMS/pango-gtkbeta-devel*
   5. rpm -ba /usr/src/redhat/SPECS/Inti*spec

Actual Results:
first 3 steps result in a failure WITHOUT a build-requires error from rpm
next 2 steps build the SRPM without fail

Expected Results:  I would expect an rpm error message to be written to
stderr informing me the Inti SRPM cannot be built without installing the
pango-gtkbeta-devel RPM.

Comment 1 Havoc Pennington 2001-07-12 16:41:01 UTC
Inti package removed from distribution


Note You need to log in before you can comment on or make changes to this bug.